Package com.macrofocus.common.interval

# Class SimpleBoundedInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval
com.macrofocus.common.interval.AbstractBoundedInterval
com.macrofocus.common.interval.SimpleBoundedInterval

All Implemented Interfaces:
  `BoundedInterval`, `Interval`, `MutableBoundedInterval`, `MutableInterval`

public class SimpleBoundedInterval extends AbstractBoundedInterval implements MutableBoundedInterval
/** Default data model for bounded interval.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleBoundedInterval(double start, double extent)`
  `SimpleBoundedInterval(double start, double minimum, double maximum)`
  `SimpleBoundedInterval(double start, double extent, double minimum, double maximum)`
  `SimpleBoundedInterval(MutableInterval interval, double minimum, double maximum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(double value)`
  Tests if this interval contains the specified value
  `boolean`
  `containsInterval(Interval interval)`
  Tests if this interval contains the specified interval
  `boolean`
  `containsStartEnd(double start, double end)`
  Tests if this interval contains the specified interval
  `double`
  `getEnd()`
  `MutableProperty<Double>`
  `getEndProperty()`
  `double`
  `getExtent()`
  `double`
  `getMaximum()`
  `double`
  `getMaximumExtent()`
  `double`
  `getMinimum()`
  `double`
  `getMinimumExtent()`
  `double`
  `getStart()`
  `MutableProperty<Double>`
  `getStartProperty()`
  `boolean`
  `isDegenerate()`
  Tests whether the starting and ending values are the same
  `boolean`
  `isInverted()`
  `boolean`
  `isInvertedScale()`
  `boolean`
  `overlaps(double start, double end)`
  Tests if this interval overlaps the specified interval.
  `boolean`
  `overlapsInterval(Interval interval)`
  Tests if this interval overlaps the specified interval.
  `void`
  `reset()`
  `void`
  `setEnd(double value)`
  `void`
  `setExtent(double extent)`
  `void`
  `setMaximum(double maximum)`
  `void`
  `setMaximumExtent(double maximumExtent)`
  `void`
  `setMinimum(double minimum)`
  `void`
  `setMinimumExtent(double minimumExtent)`
  `void`
  `setMinMax(double min, double max)`
  `void`
  `setMinMaxExtent(double min, double max, double minExtent, double maxExtent)`
  `void`
  `setStart(double value)`
  `void`
  `setValue(double value, double extent)`
  `String`
  `toString()`

  ### Methods inherited from class com.macrofocus.common.interval.AbstractBoundedInterval

  `addBoundedIntervalListener, addWeakBoundedIntervalListener, isFullRange, notifyBoundedIntervalChanged, removeBoundedIntervalListener, removeBoundedIntervalListeners`

  ### Methods inherited from class com.macrofocus.common.interval.AbstractMutableInterval

  `addIntervalListener, addWeakIntervalListener, notifyIntervalChanged, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.interval.BoundedInterval

  `addBoundedIntervalListener, addWeakBoundedIntervalListener, isFullRange, removeBoundedIntervalListener, removeBoundedIntervalListeners`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `addIntervalListener, addWeakIntervalListener, removeIntervalListener, removeIntervalListeners`

- ## Constructor Details

  - ### SimpleBoundedInterval

    public SimpleBoundedInterval(double start, double extent)

  - ### SimpleBoundedInterval

    public SimpleBoundedInterval(double start, double minimum, double maximum)

  - ### SimpleBoundedInterval

    public SimpleBoundedInterval(double start, double extent, double minimum, double maximum)

  - ### SimpleBoundedInterval

    public SimpleBoundedInterval(MutableInterval interval, double minimum, double maximum)

- ## Method Details

  - ### setStart

    public void setStart(double value)
    Specified by:
      `setStart` in interface `MutableBoundedInterval`
    Specified by:
      `setStart` in interface `MutableInterval`

  - ### setEnd

    public void setEnd(double value)
    Specified by:
      `setEnd` in interface `MutableBoundedInterval`
    Specified by:
      `setEnd` in interface `MutableInterval`

  - ### setExtent

    public void setExtent(double extent)
    Specified by:
      `setExtent` in interface `MutableBoundedInterval`
    Specified by:
      `setExtent` in interface `MutableInterval`

  - ### setValue

    public void setValue(double value, double extent)
    Specified by:
      `setValue` in interface `MutableBoundedInterval`
    Specified by:
      `setValue` in interface `MutableInterval`

  - ### getStartProperty

    public MutableProperty<Double> getStartProperty()
    Specified by:
      `getStartProperty` in interface `Interval`
    Specified by:
      `getStartProperty` in interface `MutableBoundedInterval`
    Specified by:
      `getStartProperty` in interface `MutableInterval`

  - ### getEndProperty

    public MutableProperty<Double> getEndProperty()
    Specified by:
      `getEndProperty` in interface `Interval`
    Specified by:
      `getEndProperty` in interface `MutableBoundedInterval`
    Specified by:
      `getEndProperty` in interface `MutableInterval`

  - ### getStart

    public double getStart()
    Specified by:
      `getStart` in interface `Interval`

  - ### getEnd

    public double getEnd()
    Specified by:
      `getEnd` in interface `Interval`

  - ### getExtent

    public double getExtent()
    Specified by:
      `getExtent` in interface `Interval`

  - ### contains

    public boolean contains(double value)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified value
    Specified by:
      `contains` in interface `Interval`
    Parameters:
      `value` - the value to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### containsStartEnd

    public boolean containsStartEnd(double start, double end)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified interval
    Specified by:
      `containsStartEnd` in interface `Interval`
    Parameters:
      `start` - the value to test
      `end` - the value to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### containsInterval

    public boolean containsInterval(Interval interval)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified interval
    Specified by:
      `containsInterval` in interface `Interval`
    Parameters:
      `interval` - the interval to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### overlaps

    public boolean overlaps(double start, double end)
    Description copied from interface: `Interval`
    Tests if this interval overlaps the specified interval.
    Specified by:
      `overlaps` in interface `Interval`
    Parameters:
      `start` - the interval to test
      `end` - the interval to test
    Returns:
      true if this interval overlaps the specified interval, false otherwise

  - ### overlapsInterval

    public boolean overlapsInterval(Interval interval)
    Description copied from interface: `Interval`
    Tests if this interval overlaps the specified interval.
    Specified by:
      `overlapsInterval` in interface `Interval`
    Parameters:
      `interval` - the interval to test
    Returns:
      true if this interval overlaps the specified interval, false otherwise

  - ### isDegenerate

    public boolean isDegenerate()
    Description copied from interface: `Interval`
    Tests whether the starting and ending values are the same
    Specified by:
      `isDegenerate` in interface `Interval`
    Returns:
      true if start and end values are identical, false otherwise

  - ### isInverted

    public boolean isInverted()
    Specified by:
      `isInverted` in interface `Interval`

  - ### isInvertedScale

    public boolean isInvertedScale()
    Specified by:
      `isInvertedScale` in interface `BoundedInterval`

  - ### setMinimum

    public void setMinimum(double minimum)
    Specified by:
      `setMinimum` in interface `MutableBoundedInterval`

  - ### setMaximum

    public void setMaximum(double maximum)
    Specified by:
      `setMaximum` in interface `MutableBoundedInterval`

  - ### getMinimum

    public double getMinimum()
    Specified by:
      `getMinimum` in interface `BoundedInterval`

  - ### getMaximum

    public double getMaximum()
    Specified by:
      `getMaximum` in interface `BoundedInterval`

  - ### setMinMax

    public void setMinMax(double min, double max)
    Specified by:
      `setMinMax` in interface `MutableBoundedInterval`

  - ### setMinimumExtent

    public void setMinimumExtent(double minimumExtent)
    Specified by:
      `setMinimumExtent` in interface `MutableBoundedInterval`

  - ### setMaximumExtent

    public void setMaximumExtent(double maximumExtent)
    Specified by:
      `setMaximumExtent` in interface `MutableBoundedInterval`

  - ### setMinMaxExtent

    public void setMinMaxExtent(double min, double max, double minExtent, double maxExtent)
    Specified by:
      `setMinMaxExtent` in interface `MutableBoundedInterval`

  - ### getMinimumExtent

    public double getMinimumExtent()
    Specified by:
      `getMinimumExtent` in interface `BoundedInterval`

  - ### getMaximumExtent

    public double getMaximumExtent()
    Specified by:
      `getMaximumExtent` in interface `BoundedInterval`

  - ### reset

    public void reset()
    Specified by:
      `reset` in interface `MutableBoundedInterval`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`